import AbilityStage from "@ohos:app.ability.AbilityStage";
import type Want from "@ohos:app.ability.Want";
export default class MyAbilityStage extends AbilityStage {
    onCreate(): void {
        // 应用的HAP在首次加载时，为该Module初始化操作
    }
    onAcceptWant(want: Want): string {
        // 仅specified模式下触发
        // 在被调用方的AbilityStage中，针对启动模式为specified的UIAbility返回一个UIAbility实例对应的一个Key值
        // 当前示例指的是module1 Module的SpecifiedAbility
        if (want.abilityName === 'SpecifiedFirstAbility' || want.abilityName === 'SpecifiedSecondAbility') {
            if (want.parameters) {
                // 返回的字符串Key标识为自定义拼接的字符串内容
                return `SpecifiedAbilityInstance_${want.parameters.instanceKey}`;
            }
        }
        return 'MyAbilityStage';
    }
}
